www.cendio.com
Bug 5167 - tlstunnel (Web Administration and HTML5 client) fails to start on system without IPv6
: tlstunnel (Web Administration and HTML5 client) fails to start on system with...
Status: CLOSED FIXED
: ThinLinc
Misc
: 4.2.0
: PC Unknown
: P2 Normal
: 4.3.0
Assigned To:
:
:
:
:
  Show dependency treegraph
 
Reported: 2014-05-27 09:17 by
Modified: 2014-10-07 11:27 (History)
Acceptance Criteria:


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From cendio 2014-05-27 09:17:53
This is a regression which was introduced in version 4.2.0 (commit r28482),
part of bug 3999. If the Linux kernel does not support IPv6, tlstunnel fails to
start with an error message such as:

2014-05-27 00:14:54 ERROR tlwebaccess[3587]: server socket: Address family not
supported by protocol
2014-05-27 00:14:54 ERROR tlwebaccess[3585]: Unexpected termination of
tlstunnel

This can be reproduced by booting the kernel with ipv6.disable=1.
------- Comment #2 From cendio 2014-05-27 11:07:58 -------
Created an attachment (id=547) [details]
Patch which reverts 3999
------- Comment #3 From cendio 2014-07-24 12:40:30 -------
Fixed in r29218.

Tester needs to verify that both IPv4 and IPv6 works on IPv6 capable system,
and that IPv4 works on those that lack IPv6.
------- Comment #4 From cendio 2014-10-07 11:27:37 -------
(In reply to comment #3)
> Fixed in r29218.
> 
> Tester needs to verify that both IPv4 and IPv6 works on IPv6 capable system,
> and that IPv4 works on those that lack IPv6.

Both cases works on SLED11.